Bug 134637 - "-static" linking not available on darwin
"-static" linking not available on darwin
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 07:22 EDT by Anders F Björklund
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 14:45:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm-4.3.2-static.patch (8.52 KB, patch)
2004-10-05 07:24 EDT, Anders F Björklund
no flags Details | Diff

  None (edit)
Description Anders F Björklund 2004-10-05 07:22:15 EDT
Description of problem:
Mac OS X and Darwin does not allow static linking of binaries

Version-Release number of selected component (if applicable):
4.3.2-5

How reproducible:
Always (on this platform)

Steps to Reproduce:
1. Use thed default LDFLAGS_STATIC="-all-static"


Additional info:
http://developer.apple.com/qa/qa2001/qa1118.html
Comment 1 Anders F Björklund 2004-10-05 07:24:12 EDT
Created attachment 104775 [details]
rpm-4.3.2-static.patch

Special case LDFLAGS, for the darwin platform
Comment 2 Jeff Johnson 2004-10-05 07:33:25 EDT
Static linking breaks often enough on linux that
it is hardly "available".

Rather than attempting per-platform LDFLAGS, it's easier
to just disable the only use linking rpmi.
Comment 3 Jeff Johnson 2005-01-04 14:45:49 EST
Added to HEAD and rpm-4_4 branches, should be in rpm-4.4.1-0.6 when built.
Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.